GNU bug report logs - #22687
Online manual not updated automatically

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: wishlist; Reported by: Leo Famulari <leo@HIDDEN>; dated Mon, 15 Feb 2016 21:51:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 21 Feb 2016 22:43:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 17:43:42 2016
Received: from localhost ([127.0.0.1]:36661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aXcj8-00083Z-8p
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2016 17:43:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49968)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ludo@HIDDEN>) id 1aXcj6-00083M-Lk
 for 22687 <at> debbugs.gnu.org; Sun, 21 Feb 2016 17:43:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1aXciy-0007nG-EQ
 for 22687 <at> debbugs.gnu.org; Sun, 21 Feb 2016 17:43:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44709)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1aXciy-0007nB-Al; Sun, 21 Feb 2016 17:43:32 -0500
Received: from reverse-83.fdn.fr ([80.67.176.83]:52112 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1aXciv-0005Dp-5b; Sun, 21 Feb 2016 17:43:30 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 3 =?utf-8?Q?Vent=C3=B4se?= an 224 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x3D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Sun, 21 Feb 2016 23:43:26 +0100
In-Reply-To: <idj4md96kb3.fsf@HIDDEN> (Ricardo Wurmus's
 message of "Tue, 16 Feb 2016 11:06:40 +0100")
Message-ID: <87povpr8fl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> skribis:

> Many other projects publish online manuals for both stable and
> development versions.  As our releases are a little far apart and we=E2=
=80=99re
> encouraging to do =E2=80=9Cguix pull=E2=80=9D (so users really run the de=
velopment
> version) I think it would indeed make sense to also publish an
> up-to-date version of the manual along with the manual for the latest
> release.

Yeah, sounds like we should do that, probably by setting up a cron job
on one of the machines.

I=E2=80=99ll see what can be done if nobody beats me at it.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 21 Feb 2016 22:41:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 17:41:18 2016
Received: from localhost ([127.0.0.1]:36657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aXcgn-00080F-Rd
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2016 17:41:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49468)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ludo@HIDDEN>) id 1aXcgl-000801-Kb
 for 22687 <at> debbugs.gnu.org; Sun, 21 Feb 2016 17:41:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1aXcgd-0007IF-EY
 for 22687 <at> debbugs.gnu.org; Sun, 21 Feb 2016 17:41:10 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44678)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1aXcgd-0007IB-BF; Sun, 21 Feb 2016 17:41:07 -0500
Received: from reverse-83.fdn.fr ([80.67.176.83]:52110 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1aXcgc-00054o-G6; Sun, 21 Feb 2016 17:41:06 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mathieu Lirzin <mthl@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN>
 <20160216162504.GC5914@solar>
 <idjr3gc62eg.fsf@HIDDEN>
 <20160216164218.GB5983@solar> <56C3590B.7060701@HIDDEN>
 <8737sss86a.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 3 =?utf-8?Q?Vent=C3=B4se?= an 224 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x3D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Sun, 21 Feb 2016 23:41:04 +0100
In-Reply-To: <8737sss86a.fsf@HIDDEN> (Mathieu Lirzin's message of "Tue, 16
 Feb 2016 21:37:49 +0100")
Message-ID: <87twl1r8jj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22687
Cc: Florian Paul Schmidt <mista.tapas@HIDDEN>, 22687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Mathieu Lirzin <mthl@HIDDEN> skribis:

> Florian Paul Schmidt <mista.tapas@HIDDEN> writes:
>
>> On 16.02.2016 17:42, Andreas Enge wrote:
>>> On Tue, Feb 16, 2016 at 05:33:27PM +0100, Ricardo Wurmus wrote:
>>>> I was not courageous enough to suggest that, but this does sound
>>>> like a good idea.
>>>=20
>>> It is easy enough to have that courage when one is not the person
>>> making the releases :-)
>>
>> Hmm, shouldn't that process be mostly automated? And if not, maybe
>> it's worth thinking about how to do that. I guess from a functional
>> point of view a release is just a function that takes a revision and
>> has as its outputs installer images, binary installers, a new website,
>> yada yada yada..
>
> IIUC The problem is that making a release involves a lot a build power
> that take long long time and makes it difficult to resolve unavoidable
> issues encountered during the process.
>
> I remember hearing Ludo explaining that the release process for Guix was
> more involving than for the other software projects he experienced.

Yeah it typically takes a lot of time waiting for builds and uploads to
complete.  See =E2=80=98release.org=E2=80=99 in guix-maintenance.git for a =
feel.

If people have ideas on how to improve the process, I=E2=80=99m all ears!  =
:-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 18 Feb 2016 09:39:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 18 04:39:06 2016
Received: from localhost ([127.0.0.1]:60189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aWL3C-0000XC-Jl
	for submit <at> debbugs.gnu.org; Thu, 18 Feb 2016 04:39:06 -0500
Received: from mail-lb0-f173.google.com ([209.85.217.173]:33941)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <alezost@HIDDEN>) id 1aWL3A-0000Wh-3q
 for 22687 <at> debbugs.gnu.org; Thu, 18 Feb 2016 04:39:04 -0500
Received: by mail-lb0-f173.google.com with SMTP id of3so24865507lbc.1
 for <22687 <at> debbugs.gnu.org>; Thu, 18 Feb 2016 01:39:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type:content-transfer-encoding;
 bh=2Q26ejpg3AJ094f+HDW05KlGjOXP1vjmSsjSzRy14DM=;
 b=ZS3xD3tOWQss4GTm8T6DMhlYMsTvFsMaPERFxUIC4F7gCz0Sspyhic4omSqnqD+Slh
 4hQO7XENjZ5pRZ4wYGUlfMX+A1a47aMtRFaiOalwxchmhwGSmAofiEboCGLujMfo4h1f
 mNtpR3e7vFeNReqcV7XQWonWzUbdPZog8+mOan3jvQ/uFcKTrQygz6WSZRc720l3A/X6
 m5fZ+VOKHvMoqmXz3R4DiIjDX7J6Yljn7YYfvYboc6ob9H4ZCUbvz0qbhGzBVP8LBIEu
 J6BYFVI/xJxe4Q+JaNEHt4RXNNsSKv3UNJA2i8uB36l7Z1ryUnALwsA58iG/1wIdSz/T
 Rm8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type
 :content-transfer-encoding;
 bh=2Q26ejpg3AJ094f+HDW05KlGjOXP1vjmSsjSzRy14DM=;
 b=dCNF9ayrR/hB7tlYcV16FR/jnIZGmfchhjSwpCeCSgWLNK+USsCmua6SX8ei3K2oy6
 G94mHDimPn1m63X4qKbqyRjhOtmKtHl4TiZ0LmJFUhEOunNeWTuFZe6CLRkdjjkROap6
 cvuRl0NYom+wID4/nGa0nZxaPeUnLQG8JZhB+2QxP8qpk5NGIDdLr6lv6MNAoOEZfDxX
 NMgS+HFSYEr+z6Jiyg3ZBuIuXIRSQ2estW5WVpW/TFED6Mrr0hv+Kl8cxQWS7hl9s1cw
 QzJYCDgH9jfbQXgTRo1qoDg4tniY1aycFSQLTkkAIPksiUHr7VB5rjGIDY5F3K8Q2pYw
 gfOg==
X-Gm-Message-State: AG10YOTJz02vZQGmAHRvtlicya35B+tQpvZz5fwFOJMMtydZCIzJpEsvLAqEicjozkjuwg==
X-Received: by 10.112.136.136 with SMTP id qa8mr2672025lbb.51.1455788338246;
 Thu, 18 Feb 2016 01:38:58 -0800 (PST)
Received: from leviafan ([217.107.192.146])
 by smtp.gmail.com with ESMTPSA id h198sm807243lfb.47.2016.02.18.01.38.52
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 18 Feb 2016 01:38:53 -0800 (PST)
From: Alex Kost <alezost@HIDDEN>
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN>
 <878u2kx9mn.fsf@HIDDEN>
Date: Thu, 18 Feb 2016 12:38:55 +0300
In-Reply-To: <878u2kx9mn.fsf@HIDDEN> (Chris Marusich's message of "Tue, 16
 Feb 2016 20:07:28 -0800")
Message-ID: <87twl62w9c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Chris Marusich (2016-02-17 07:07 +0300) wrote:

> Ricardo Wurmus <ricardo.wurmus@HIDDEN> writes:
>
>> Many other projects publish online manuals for both stable and
>> development versions.  As our releases are a little far apart and we=E2=
=80=99re
>> encouraging to do =E2=80=9Cguix pull=E2=80=9D (so users really run the d=
evelopment
>> version) I think it would indeed make sense to also publish an
>> up-to-date version of the manual along with the manual for the latest
>> release.
>
> Does guix pull not update the manual?

No, currently it updates only the scheme code.

--=20
Alex




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 17 Feb 2016 04:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 23:07:38 2016
Received: from localhost ([127.0.0.1]:38750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVtOr-0006a7-RO
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 23:07:37 -0500
Received: from mail-pf0-f175.google.com ([209.85.192.175]:34860)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <cmmarusich@HIDDEN>) id 1aVtOp-0006Zs-O1
 for 22687 <at> debbugs.gnu.org; Tue, 16 Feb 2016 23:07:36 -0500
Received: by mail-pf0-f175.google.com with SMTP id c10so3889793pfc.2
 for <22687 <at> debbugs.gnu.org>; Tue, 16 Feb 2016 20:07:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type:content-transfer-encoding;
 bh=hQAA+Faw5cHrRHaryDJR6283zxIBI0LHOavambUTlLA=;
 b=Bxib44K9UKQBVgQ0rI5gea06TXtiAFR+TwtaENBX9hbxUbhoMeGOP46kmWT8hu4rca
 y+hy9e6DywgwiXPj/zP63ee17oQ3DvyMwRRZdfgbwDu9NzQ/eOuYom44VqVW2Y5NQNeg
 0DCEwxRcN5NsQPJUE6Y0EausPGtJvBIwyuYMnRcwemzH8g7igO2Z8OMn47v55SNiRs0c
 Ym8mhIb3Bv/Fb21KPF62j4E67prPK/ftV0vM9vQadU5HwemcqNCrCYap4BNNHDuFi6pM
 I/e6pIzI8hVMiGdoQavu60imTYItfxubSx8B/KiPQniH3ytPV+z+TDD1J4Un2hLMM+xG
 IQkA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type
 :content-transfer-encoding;
 bh=hQAA+Faw5cHrRHaryDJR6283zxIBI0LHOavambUTlLA=;
 b=UhWZZKp3DvZmQ8LhGxoL4uVzb5ykg/lJko9OkyY6hdLMkddbv1smUV/GlMEstWkv7z
 +uRc7q4RK0oeW9Y5bja5Nhk+9boZ+451VKCW+HTkiddhuXqsHbliUa6MSYJkiqa/9HHB
 FzugHaTZ+KEYv5XbsTPngsJ5vuk6jzD7n3uqt5k4VSJXFfzi7l/4dsYflzUuDjv1HPiF
 lPKOj0GWCwsMat8O4X+2YBnrSytyf82uE3kJUWrDfM+ozE1Mft5qo2gLRVPL/iBuf9B9
 iZzGe/PSgGNwhF3TvHVTKor21BoqXCiycwKqjD1AG+l9admkh7m7VTxmUUyChDI5h2at
 vbDQ==
X-Gm-Message-State: AG10YOSH6gE4oIVUthyhjAR0nR0uT9qkJXWMa/A8OMVuchvpf1AKBru9KektfAGpcLQjFQ==
X-Received: by 10.98.65.206 with SMTP id g75mr35847337pfd.94.1455682050095;
 Tue, 16 Feb 2016 20:07:30 -0800 (PST)
Received: from garuda (c-73-169-163-30.hsd1.wa.comcast.net. [73.169.163.30])
 by smtp.gmail.com with ESMTPSA id dz8sm49106531pab.19.2016.02.16.20.07.29
 (version=TLSv1/SSLv3 cipher=OTHER);
 Tue, 16 Feb 2016 20:07:29 -0800 (PST)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN>
Date: Tue, 16 Feb 2016 20:07:28 -0800
In-Reply-To: <idj4md96kb3.fsf@HIDDEN> (Ricardo Wurmus's
 message of "Tue, 16 Feb 2016 11:06:40 +0100")
Message-ID: <878u2kx9mn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> writes:

> Many other projects publish online manuals for both stable and
> development versions.  As our releases are a little far apart and we=E2=
=80=99re
> encouraging to do =E2=80=9Cguix pull=E2=80=9D (so users really run the de=
velopment
> version) I think it would indeed make sense to also publish an
> up-to-date version of the manual along with the manual for the latest
> release.

Does guix pull not update the manual?

- Chris




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 16 Feb 2016 20:38:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 15:38:01 2016
Received: from localhost ([127.0.0.1]:38471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVmNl-0004ce-8A
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 15:38:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50420)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <mthl@HIDDEN>) id 1aVmNj-0004cO-P3
 for 22687 <at> debbugs.gnu.org; Tue, 16 Feb 2016 15:38:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mthl@HIDDEN>) id 1aVmNc-0003xi-1s
 for 22687 <at> debbugs.gnu.org; Tue, 16 Feb 2016 15:37:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34219)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mthl@HIDDEN>)
 id 1aVmNb-0003xb-Ug; Tue, 16 Feb 2016 15:37:51 -0500
Received: from mek33-4-82-236-46-88.fbx.proxad.net ([82.236.46.88]:58118
 helo=godel)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mthl@HIDDEN>)
 id 1aVmNb-0001JJ-Ef; Tue, 16 Feb 2016 15:37:51 -0500
From: Mathieu Lirzin <mthl@HIDDEN>
To: Florian Paul Schmidt <mista.tapas@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN>
 <20160216162504.GC5914@solar>
 <idjr3gc62eg.fsf@HIDDEN>
 <20160216164218.GB5983@solar> <56C3590B.7060701@HIDDEN>
Date: Tue, 16 Feb 2016 21:37:49 +0100
In-Reply-To: <56C3590B.7060701@HIDDEN> (Florian Paul Schmidt's message of
 "Tue, 16 Feb 2016 18:14:51 +0100")
Message-ID: <8737sss86a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Florian Paul Schmidt <mista.tapas@HIDDEN> writes:

> On 16.02.2016 17:42, Andreas Enge wrote:
>> On Tue, Feb 16, 2016 at 05:33:27PM +0100, Ricardo Wurmus wrote:
>>> I was not courageous enough to suggest that, but this does sound
>>> like a good idea.
>> 
>> It is easy enough to have that courage when one is not the person
>> making the releases :-)
>
> Hmm, shouldn't that process be mostly automated? And if not, maybe
> it's worth thinking about how to do that. I guess from a functional
> point of view a release is just a function that takes a revision and
> has as its outputs installer images, binary installers, a new website,
> yada yada yada..

IIUC The problem is that making a release involves a lot a build power
that take long long time and makes it difficult to resolve unavoidable
issues encountered during the process.

I remember hearing Ludo explaining that the release process for Guix was
more involving than for the other software projects he experienced.

--
Mathieu Lirzin




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Feb 2016 17:15:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 12:15:13 2016
Received: from localhost ([127.0.0.1]:38300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVjDU-0004wO-PO
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 12:15:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38128)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <mista.tapas@HIDDEN>) id 1aVjDS-0004vv-OQ
 for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 12:15:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mista.tapas@HIDDEN>) id 1aVjDM-00018k-8D
 for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 12:15:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55413)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mista.tapas@HIDDEN>) id 1aVjDM-00018g-4h
 for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 12:15:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57301)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mista.tapas@HIDDEN>) id 1aVjDI-0002Dj-0p
 for bug-guix@HIDDEN; Tue, 16 Feb 2016 12:15:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mista.tapas@HIDDEN>) id 1aVjDD-00016g-1H
 for bug-guix@HIDDEN; Tue, 16 Feb 2016 12:14:59 -0500
Received: from mout.gmx.net ([212.227.17.21]:61939)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mista.tapas@HIDDEN>) id 1aVjDC-00016R-Os
 for bug-guix@HIDDEN; Tue, 16 Feb 2016 12:14:54 -0500
Received: from [192.168.1.241] ([77.8.85.57]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0MLS74-1aVBFP0mgM-000ZBU for <bug-guix@HIDDEN>; Tue, 16
 Feb 2016 18:14:53 +0100
Subject: Re: bug#22687: Online manual not updated automatically
To: bug-guix@HIDDEN
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN> <20160216162504.GC5914@solar>
 <idjr3gc62eg.fsf@HIDDEN> <20160216164218.GB5983@solar>
From: Florian Paul Schmidt <mista.tapas@HIDDEN>
Message-ID: <56C3590B.7060701@HIDDEN>
Date: Tue, 16 Feb 2016 18:14:51 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.1
MIME-Version: 1.0
In-Reply-To: <20160216164218.GB5983@solar>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:BiDt9VpEJ8M9889J620RxcCs4TPQ/uAkRiDbuPX3Fx2eZUUssvx
 W1hfGebbgQXtorsE5f9NMZf3Y9miahQtSPD0XJnnSMJGo5K2tB4nRwVzF9dXLfcfa+KxZ5j
 2Ccdv7Dkbd+Z5itVuFfgNT2OGb8gh385nmNqwKlcLQtWUErjKKzujqQ/qBQLCo7TA/Wpcj5
 3vAvXPMJi7Geaw6tNKEgA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:WTraK+2SqRU=:s8o2s0pSof8FtPWGgYKV+O
 nl9ToAN+OF1aIPm5b/RS51HwLIH/EjeyOkc6kUWcFCVCeCH7Scg4TpWHrBOWkx4CMd3Yd9mIc
 YWlIwg+mwGis+pAnV9iGikkQ6lyLWQ5OjVqMhgjz6lu1uZFRWDArvi2q81GR7PpahYBmKEjP8
 eWJA00F/IVOTqZGyQkX/UE49ILSjtLG1vQXk+o4AOXhQqteMsRFdnuLKrRnPaZx73YrZQGU2E
 ccVlxxolAOA9hJ3D0JxXtLjPy3JpgUOGs3nK/MCf8hef4RDy5PjLFXxVj1HlRdfX2ydn1rKDw
 3Tmo/CpOycAzYB1OG/DKowpP+1nzD30248cosOms2YKwXrhwdihyuIpnCOhwTAsIlrPjayctr
 hapxNn5FilQAxvdNx345OAL8x171yIY8tjxmStHTtjOTNLzOEbZoRsQ8GjQ5lSbrUBr9U6BDa
 XmhJASxWdO0fehcPc36NhxatFpSF1COz4Eos9cSvWDsgOj2uyZJNOxBqsWvARw8U/kUv3pkxb
 /+fTMn1mLk74Go54gEN2iVjc/FTbkUDO6dSQHCX5Ax9QoXh3XiwZQAib8d8nWleUikhObcyXN
 NGzo+jgjfYWDewnIdK4MTpeqDmKPJFabmyJSpZBA5bSKrUU67FgSAsDmpEc9ZAi4QZa0kfkpL
 Rwljm/qfiOCKPyTb8o2sC0Waz5bE0EnSD7B/kNJD2cM2pe8FUl7Cj4OOFKnJoY4zeapbyU/y3
 J0IFQUsZ12n0Qx+sJNip2n+HieaZxszRxnVlo+PT54oYAYIicd3DgSW5PciURRG/Vgi2HVFER
 9z1CLBc
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 16.02.2016 17:42, Andreas Enge wrote:
> On Tue, Feb 16, 2016 at 05:33:27PM +0100, Ricardo Wurmus wrote:
>> I was not courageous enough to suggest that, but this does sound
>> like a good idea.
> 
> It is easy enough to have that courage when one is not the person
> making the releases :-)

Hmm, shouldn't that process be mostly automated? And if not, maybe
it's worth thinking about how to do that. I guess from a functional
point of view a release is just a function that takes a revision and
has as its outputs installer images, binary installers, a new website,
yada yada yada..

Regards,
Flo


- -- 
https://fps.io
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJWw1kKAAoJEA5f4Coltk8Z/6sH/1CuqcAbB+RC/b4bmyBkSJ0z
SlJBjkfs9BUxLtjzLXMn52t0dKOmA92CiVpZblTxb0M3rcruOY44Wlkc3J5PqP3U
Aqh+YzrowqKHBi+iikftiJYj9X7beh7rWxmM48nWkdtPTfLUYdbi5+AJtz7bwvQ8
ZHx5wilEVaUnXKyiora3V2Nm8bjGQXIfncvQy7rrON2XaNZut8ruIAI0FSn8F4xD
WPWP5tuTTdHJNCOSmsPr1kM2kmoBZ3hDs4BeJWbiTUMJTsh3G/P+z1XUBuoS3zWJ
CwYrTwZzulq9JTP10JdMOEBcoZ9/za3cpiHM2n8rA1CEpVKRKM/s9tnKZjl+oZ8=
=ODkW
-----END PGP SIGNATURE-----




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 16 Feb 2016 16:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 11:42:29 2016
Received: from localhost ([127.0.0.1]:38265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVihp-0002Vn-Do
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 11:42:29 -0500
Received: from mailrelay7.public.one.com ([91.198.169.215]:36175)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <andreas@HIDDEN>) id 1aVihn-0002Va-SH
 for 22687 <at> debbugs.gnu.org; Tue, 16 Feb 2016 11:42:28 -0500
X-HalOne-Cookie: 11204b8ddb8d6591dbe3f8f4be2aba26681abbf1
X-HalOne-ID: 3f42b92a-d4cc-11e5-882a-b82a72cffc46
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=enge.fr; s=20140924;
 h=from:subject:date:message-id:to:cc:mime-version:content-type:in-reply-to:
 references; bh=P9IycgZ7XtVjcbo2klO0dmKhlLFARQMLo8RSIZuZEhw=;
 b=ls1VhKZyaWlHLL8kI315dJ/VRGrtLOieqWzSwlLVqv2F53RCuK8nnwvPf+VEnNjQ10n9o7jhwM0DT
 eU1n2qYtFF6yzgOx+LqzXbEcCLaD2qXrRP0+h1pqSAAJncjE4Ie+40MlAM0payonLmeIjFHzlUp9O7
 Sx5NhvK042CqubAA=
Received: from solar (unknown [92.89.73.211])
 by smtpfilter4.public.one.com (Halon Mail Gateway) with ESMTPSA;
 Tue, 16 Feb 2016 16:42:19 +0000 (UTC)
Date: Tue, 16 Feb 2016 17:42:18 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
Message-ID: <20160216164218.GB5983@solar>
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN>
 <20160216162504.GC5914@solar>
 <idjr3gc62eg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <idjr3gc62eg.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Tue, Feb 16, 2016 at 05:33:27PM +0100, Ricardo Wurmus wrote:
> I was not courageous enough to suggest that, but this does sound like a
> good idea.

It is easy enough to have that courage when one is not the person making
the releases :-)

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 16 Feb 2016 16:33:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 11:33:51 2016
Received: from localhost ([127.0.0.1]:38256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aViZT-0002Ic-Am
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 11:33:51 -0500
Received: from pegasus.bbbm.mdc-berlin.de ([141.80.25.20]:58049)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1aViZS-0002IT-2I
 for 22687 <at> debbugs.gnu.org; Tue, 16 Feb 2016 11:33:50 -0500
Received: from localhost (localhost [127.0.0.1])
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTP id 24048381208;
 Tue, 16 Feb 2016 17:33:49 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:in-reply-to:subject:subject:from:from
 :references:received:received:received; s=mdc; t=1455640422; x=
 1457454823; bh=pmLy70HVgG50R+SPklCgK2FqzhzIuGkhyh2BY4NQ7SA=; b=N
 4e7yZwxk4X5ARwwKJNzeEuU3Lu2iAXMFNxy36Q6/G1mnleKuyaxR3qe/10zg0zfb
 IpLF6enaOkjBJFadFmebHsGQhsgT16zpn5rTVKjvgjju3lG4RcabuNb60nyu0fr0
 dPXjrJVO0jIBPtwVuU8ALisb8pky4XCoIxN27lR+4M=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from pegasus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (pegasus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id iFA8SO5tLkgT; Tue, 16 Feb 2016 17:33:42 +0100 (CET)
Received: from HTCAONE.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTP;
 Tue, 16 Feb 2016 17:33:42 +0100 (CET)
Received: from localhost (141.80.180.135) by HTCAONE.mdc-berlin.net
 (141.80.180.125) with Microsoft SMTP Server (TLS) id 14.3.266.1; Tue, 16 Feb
 2016 17:33:27 +0100
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN> <20160216162504.GC5914@solar>
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
In-Reply-To: <20160216162504.GC5914@solar>
Date: Tue, 16 Feb 2016 17:33:27 +0100
Message-ID: <idjr3gc62eg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
X-Originating-IP: [141.80.180.135]
X-TM-AS-Product-Ver: SMEX-11.0.0.4255-8.000.1202-22136.000
X-TM-AS-Result: No--8.064800-0.000000-31
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Andreas Enge <andreas@HIDDEN> writes:

> On Tue, Feb 16, 2016 at 11:06:40AM +0100, Ricardo Wurmus wrote:
>> Many other projects publish online manuals for both stable and
>> development versions.  As our releases are a little far apart and we’re
>> encouraging to do “guix pull” (so users really run the development
>> version) I think it would indeed make sense to also publish an
>> up-to-date version of the manual along with the manual for the latest
>> release.
>
> Or alternatively, release more often :-)

I was not courageous enough to suggest that, but this does sound like a
good idea.

> I wonder whether we should not make a point release after each security
> update instead of encouraging people to use "guix pull" (but we would
> quickly arrive at 0.9.9 now, after which only 1.0.0 would be a reasonable
> option to keep numerical and lexicographical ordering consistent).
> Or a point-point release as 0.9.0.1 and so on.

I would like that.  We could make patch releases for each time we merge
core-updates / security-fixes into master.

~~ Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 16 Feb 2016 16:25:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 11:25:18 2016
Received: from localhost ([127.0.0.1]:38248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aViRC-00025q-L9
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 11:25:18 -0500
Received: from mailrelay1.public.one.com ([91.198.169.124]:13211)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <andreas@HIDDEN>) id 1aViRA-00025b-EB
 for 22687 <at> debbugs.gnu.org; Tue, 16 Feb 2016 11:25:16 -0500
X-HalOne-Cookie: b891133f513618a218014a0b6abcf1e3ded8f82e
X-HalOne-ID: d70bd9f9-d4c9-11e5-8bea-b8ca3afa9d73
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=enge.fr; s=20140924;
 h=from:subject:date:message-id:to:cc:mime-version:content-type:
 content-transfer-encoding:in-reply-to:references;
 bh=2uJROsfdPEjL9p4M4cdNOYlxUUTc1d/MPemL85aHvPA=;
 b=d1r5aETo/g3gpyqqw2oJDltp21ZcKlMku8jo9GEC1piBKvM/UU+2whtWE1HF4j0Wcqdrfrg6am2P6
 u3vPjuoXnZ/Hec2k6Ns+u1tIElNdoWBbkWIqM7OKyDFOJgbqlLl34Jk4x6ra3eZCGDTgUFqNMdKtW3
 iDVrlWozv/KTu6A8=
Received: from solar (unknown [92.89.73.211])
 by smtpfilter1.public.one.com (Halon Mail Gateway) with ESMTPSA;
 Tue, 16 Feb 2016 16:25:06 +0000 (UTC)
Date: Tue, 16 Feb 2016 17:25:04 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
Message-ID: <20160216162504.GC5914@solar>
References: <20160215215024.GA22646@jasmine>
 <idj4md96kb3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <idj4md96kb3.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Tue, Feb 16, 2016 at 11:06:40AM +0100, Ricardo Wurmus wrote:
> Many other projects publish online manuals for both stable and
> development versions.  As our releases are a little far apart and we’re
> encouraging to do “guix pull” (so users really run the development
> version) I think it would indeed make sense to also publish an
> up-to-date version of the manual along with the manual for the latest
> release.

Or alternatively, release more often :-)

I wonder whether we should not make a point release after each security
update instead of encouraging people to use "guix pull" (but we would
quickly arrive at 0.9.9 now, after which only 1.0.0 would be a reasonable
option to keep numerical and lexicographical ordering consistent).
Or a point-point release as 0.9.0.1 and so on.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 16 Feb 2016 10:06:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 05:06:51 2016
Received: from localhost ([127.0.0.1]:40812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVcWx-0006RF-5v
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2016 05:06:51 -0500
Received: from pegasus.bbbm.mdc-berlin.de ([141.80.25.20]:54434)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1aVcWv-0006R5-9U
 for 22687 <at> debbugs.gnu.org; Tue, 16 Feb 2016 05:06:49 -0500
Received: from localhost (localhost [127.0.0.1])
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTP id 36FA5380E1F;
 Tue, 16 Feb 2016 11:06:48 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:in-reply-to:subject:subject:from:from
 :references:received:received:received; s=mdc; t=1455617201; x=
 1457431602; bh=5hmBDLBaXJIh4PlN6EG7tft7g5uZz3rkNEK1lMniQR8=; b=d
 rQLK2l3CfFQTwiYqgaxmqSC66JSqh6chbcdgD8xuNCEPYuOmZO9fkHMfyXfJFx4o
 o3aR453Jg1EMWHLjCzMl4nNAaNsLtRIawzo5hFr3Vy3y5DLReKLijBos9ZF85760
 5tRR72D7MDqQXXJ2+Yi8K2QAiD25liyHhhVJz20dGc=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from pegasus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (pegasus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dBImuO-kwuPt; Tue, 16 Feb 2016 11:06:41 +0100 (CET)
Received: from HTCAONE.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTP;
 Tue, 16 Feb 2016 11:06:41 +0100 (CET)
Received: from localhost (141.80.180.135) by HTCAONE.mdc-berlin.net
 (141.80.180.125) with Microsoft SMTP Server (TLS) id 14.3.266.1; Tue, 16 Feb
 2016 11:06:40 +0100
References: <20160215215024.GA22646@jasmine>
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
In-Reply-To: <20160215215024.GA22646@jasmine>
Date: Tue, 16 Feb 2016 11:06:40 +0100
Message-ID: <idj4md96kb3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
X-Originating-IP: [141.80.180.135]
X-TM-AS-Product-Ver: SMEX-11.0.0.4255-8.000.1202-22134.006
X-TM-AS-Result: No--3.779900-0.000000-31
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Leo Famulari <leo@HIDDEN> writes:

> I see the value of the online manual matching the version of the Guix
> binaries we distribute, but on the other hand, we get a lot of questions
> that are answered in the latest version of the manual.

Many other projects publish online manuals for both stable and
development versions.  As our releases are a little far apart and we’re
encouraging to do “guix pull” (so users really run the development
version) I think it would indeed make sense to also publish an
up-to-date version of the manual along with the manual for the latest
release.

~~ Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at 22687 <at> debbugs.gnu.org:


Received: (at 22687) by debbugs.gnu.org; 15 Feb 2016 22:49:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 17:49:25 2016
Received: from localhost ([127.0.0.1]:40549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVRxN-00061o-Hz
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 17:49:25 -0500
Received: from mail-yk0-f172.google.com ([209.85.160.172]:32949)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <dthompson2@HIDDEN>) id 1aVRxL-00061b-D6
 for 22687 <at> debbugs.gnu.org; Mon, 15 Feb 2016 17:49:23 -0500
Received: by mail-yk0-f172.google.com with SMTP id z13so66019763ykd.0
 for <22687 <at> debbugs.gnu.org>; Mon, 15 Feb 2016 14:49:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=worcester-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=z7n7OPH/MzDHzdrOQn5FDoxf0tB0IJ0ey1O8HcwHSHY=;
 b=GOiec4eE3oJgG5vjB/ZYMylPWP7Pc6UAOPV3QQ9lPx7eeIkc4OFnx1nLDB/KsRq8wW
 l4htH6A0MQ+s/C+0jhZIMM11NV0Anurt41Bnmtco0rUMvetYkFDYWCLj65rUux5Jinfs
 pse74/uXQBd+H8qDjoi9RqyUL5T4YbWOECn92Lt5k33ce0v1mbkw6FqfaG6ERc3m3uju
 UpNo3aQUqVQBwjx6d5ykLz1hBfvOVxXXKPOl9M/KcnDu2tGasjcwa87klvTpBe5oXcg6
 mF1/dKwdPG9sL7WT+2EQQNqjaRjE7SJvxkkdiu777F1hahfDx7ILX/qWmhXIpNaNT7uf
 T82Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=z7n7OPH/MzDHzdrOQn5FDoxf0tB0IJ0ey1O8HcwHSHY=;
 b=CHMiCsy4qsP70apNfiwSLQVtLq0pWv/hUn8qAow6pF61ggOFmzBJ0ReEstqLn2XAMX
 V9HN7OjBsWHp7mepcHMh/0OoXSlVPE2DFnQRzAQ4M4J5ArYCKo2HT+YdDg3QdMr9yrUj
 F7tfr2RLywq4VFaMclNEvQIEQEugnBofD0b2N1/FIykLV6Ad+icsuvuih3cmf+WjG4N6
 pSccXz2dDEnD8k1H5lpR/I8fdLM6g7m0vjjNJ2tRAbdCX3h1hqnYa0FvURR1HR3Hmy6n
 hAvX3XSwIrHIkQMqLHjiT684Fu2ymXRyh2gVXVg9revMZmEa9q1Y+TkJmCXfvvboDlK2
 ijog==
X-Gm-Message-State: AG10YORo9wBu6IOtxGqYUAXRqXK+XhHdNZI5FEj7/zGmcMT9hylyA+vBy/PNYpHXVxDFV1QEcvmxq3a0CwB+5Q==
MIME-Version: 1.0
X-Received: by 10.37.42.5 with SMTP id q5mr10869038ybq.72.1455576557719; Mon,
 15 Feb 2016 14:49:17 -0800 (PST)
Received: by 10.37.25.86 with HTTP; Mon, 15 Feb 2016 14:49:17 -0800 (PST)
In-Reply-To: <20160215215024.GA22646@jasmine>
References: <20160215215024.GA22646@jasmine>
Date: Mon, 15 Feb 2016 17:49:17 -0500
Message-ID: <CAJ=RwfYs+5d5o61Zd_wVdXKmw26OZN87CuGbiGd8BN=Vv_vS+w@HIDDEN>
Subject: Re: bug#22687: Online manual not updated automatically
From: "Thompson, David" <dthompson2@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22687
Cc: 22687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, Feb 15, 2016 at 4:50 PM, Leo Famulari <leo@HIDDEN> wrote:
> ----- Forwarded message from carl hansen <carlhansen1234@HIDDEN> -----
>  http://www.gnu.org/software/guix/manual/
> works.
> BUT
> it says:
> "last updated November 04, 2015"
> So cronjob on gnu.org that updates to the lastest version is not working.
> Might
> be the answer to the problem about , too.
>
> ----- End forwarded message -----
>
> I see the value of the online manual matching the version of the Guix
> binaries we distribute, but on the other hand, we get a lot of questions
> that are answered in the latest version of the manual.
>
> Thoughts?

IMO, this is a "wontfix", but let's see what everyone else thinks.

- Dave




Information forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Feb 2016 21:50:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 16:50:34 2016
Received: from localhost ([127.0.0.1]:40519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVR2Q-0004cZ-Fm
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 16:50:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47327)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <leo@HIDDEN>) id 1aVR2O-0004cN-1C
 for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 16:50:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1aVR2H-0002lG-Tu
 for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 16:50:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47625)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1aVR2H-0002lC-QF
 for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 16:50:25 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38298)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1aVR2G-0002aQ-Nl
 for bug-guix@HIDDEN; Mon, 15 Feb 2016 16:50:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1aVR2D-0002l1-GO
 for bug-guix@HIDDEN; Mon, 15 Feb 2016 16:50:24 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:40333)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1aVR2D-0002kp-AN
 for bug-guix@HIDDEN; Mon, 15 Feb 2016 16:50:21 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 951AF20A84;
 Mon, 15 Feb 2016 16:50:20 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute1.internal (MEProxy); Mon, 15 Feb 2016 16:50:20 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=famulari.name; h=
 content-type:date:from:message-id:mime-version:subject:to
 :x-sasl-enc:x-sasl-enc; s=mesmtp; bh=k61eciUru1x2hxPZ9LAwj6571WY
 =; b=T/DzdvGuQbys6UbjbMyQE9m/J2gEE1ZBVey6oGoWrNDIt7W9+Daj+vMzxiY
 FGcGAwV51Mj+u/2HJNGsgWac4M4LQiO+vjiThcaFQQN+1k7NqVDruARVc5MfwLKZ
 3GlkQW1CU+Ux20dMunP4fGEBa77blibiX0L9I9bUKv+ABvGQ=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-sasl-enc:x-sasl-enc; s=smtpout; bh=k6
 1eciUru1x2hxPZ9LAwj6571WY=; b=IBrrsgNL7zkdtCaL4kpyP+GOqeHe4mj0lh
 hUoLbp89lWLul9gV4ZYPW+bxLBAiEk164c1PsiVvxtRHL2It9adqQrUdaUSkzt91
 vEatilm2RYAL8f55mlctkbsDneQ+Skmlq4qP96ObMosKrIHI0j3Adv6A5LWF5Wc8
 l5inepMvU=
X-Sasl-enc: 8+8bcFRrbxc8B57vtC6xWISc6z46fG5WcNo3fFzYhnht 1455573018
Received: from localhost (c-69-249-5-231.hsd1.pa.comcast.net [69.249.5.231])
 by mail.messagingengine.com (Postfix) with ESMTPA id 3B4FE68012F
 for <bug-guix@HIDDEN>; Mon, 15 Feb 2016 16:50:18 -0500 (EST)
Date: Mon, 15 Feb 2016 16:50:24 -0500
From: Leo Famulari <leo@HIDDEN>
To: bug-guix@HIDDEN
Subject: Online manual not updated automatically
Message-ID: <20160215215024.GA22646@jasmine>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.24 (2015-08-30)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

----- Forwarded message from carl hansen <carlhansen1234@HIDDEN> -----
 http://www.gnu.org/software/guix/manual/
works.
BUT
it says:
"last updated November 04, 2015"
So cronjob on gnu.org that updates to the lastest version is not working.
Might
be the answer to the problem about , too.

----- End forwarded message -----

I see the value of the online manual matching the version of the Guix
binaries we distribute, but on the other hand, we get a lot of questions
that are answered in the latest version of the manual.

Thoughts?




Acknowledgement sent to Leo Famulari <leo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#22687; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 3 May 2016 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.